Hello everyone,
I've been spending days trying to solve this issue. I'm trying to write a VBA script that can create a new document with a new PDD and insert a new 3DD in V6, and I'm not able to find a solution. In V5, you could use something like:
But it CATIA v6, this is no longer valid (!). Does anyone of you know how to adapt the code above so it could work in V6?
Any hint is really appreciated!
Thanks
I've been spending days trying to solve this issue. I'm trying to write a VBA script that can create a new document with a new PDD and insert a new 3DD in V6, and I'm not able to find a solution. In V5, you could use something like:
Code:
Sub CATMain()
'===create a part document
Dim documents1 As Documents
Set documents1 = CATIA.Documents
Dim partDocument1 As PartDocument
Set partDocument1 = documents1.Add("Part")
End Sub
But it CATIA v6, this is no longer valid (!). Does anyone of you know how to adapt the code above so it could work in V6?
Any hint is really appreciated!
Thanks